#!/usr/bin/perl

use strict;


my $lines="";
my $path='/etc/openvpn/easy-rsa/openssl.cnf';

open(FH,"<$path");
read(FH,$lines,-s $path);
close(FH);

my @line=split(/\n/,$lines);
$lines="";
foreach(@line){
	if(/\[ pkcs11_section \]/){
		$lines.=qq{#[ pkcs11_section ]\n};
	}elsif(/engine_id = pkcs11/){
		$lines.=qq{#engine_id = pkcs11\n};
	}elsif(/dynamic_path = \/usr\/lib\/engines\/engine_pkcs11\.so/){
		$lines.=qq{#dynamic_path = /usr/lib/engines/engine_pkcs11.so\n};
	}elsif(/MODULE_PATH = \$ENV\:\:PKCS11_MODULE_PATH/){
		$lines.=qq{#MODULE_PATH = \$ENV\:\:PKCS11_MODULE_PATH\n};
	}elsif(/PIN = \$ENV\:\:PKCS11_PIN/){
		$lines.=qq{#PIN = \$ENV\:\:PKCS11_PIN\n};
	}elsif(/init = 0/){
		$lines.=qq{#init = 0\n};
	}else{
		$lines.="$_\n";
	}
}
open(FH,">$path");
print FH $lines;
close(FH);
		
		print "Complete!\n";
		
		exit();





